/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __COLOR_H
#define	__COLOR_H

#include "newtypes.h"

#define	COLORNAME_MAX	128
#define	COLOR_SCALED	1000.

typedef enum tagColorType {
	COLOR_CMYK,
	COLOR_RGB,
	COLOR_GRAY
} ColorType;

typedef struct tagColor {
	char		acName[COLORNAME_MAX];
	ColorType	Type;
	DWORD		dwValue[4];
	struct tagColor* next;
} Color;

BOOL SetupColor(void);
BOOL Specialcolor(char *pszSpecial);

#endif
