/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __DVI_H
#define	__DVI_H

#include "newtypes.h"

#define	DVI_VERSION	3

#define	DVI_SET_CHAR_0		0
#define	DVI_SET_CHAR_127	127
#define	DVI_SET1			128
#define	DVI_SET4			131
#define	DVI_SET_RULE		132
#define	DVI_PUT_RULE		137
#define	DVI_NOP			138
#define	DVI_BOP				139
#define	DVI_EOP			140
#define	DVI_PUSH		141
#define	DVI_POP			142
#define	DVI_RIGHT1		143
#define	DVI_RIGHT4		146
#define	DVI_W0			147
#define	DVI_W1			148
#define	DVI_W4			151
#define	DVI_X0			152
#define	DVI_X1			153
#define	DVI_X4			156
#define	DVI_DOWN1		157
#define	DVI_DOWN4		160
#define	DVI_Y0			161
#define	DVI_Y1			162
#define	DVI_Y4			165
#define	DVI_Z0			166
#define	DVI_Z1			167
#define	DVI_Z4			170
#define	DVI_FNT_NUM_0		171
#define	DVI_FNT_NUM_63		234
#define	DVI_XXX1		239
#define	DVI_XXX4		242
#define	DVI_FNT_DEF1		243
#define	DVI_FNT_DEF4		246
#define	DVI_PRE				247
#define	DVI_POST			248
#define	DVI_POST_POST		249
#define	DVI_TAIL			223
#define	DVI_FNT1			235
#define	DVI_FNT4			238
#define	DVI_FNT_DEF1		243
#define	DVI_FNT_DEF4		246
#define	DVI_DIR				255

typedef struct tagPageTable {
	DWORD	dwPos;
	struct tagPageTable* next;
} PageTable;

typedef struct tagDviRegister {
	DWORD	h, v;
	DWORD	w, x;
	DWORD	y, z;
	BOOL	d;
	unsigned DWORD	f;
	struct tagDviRegister* next;
} DviRegister;

DviRegister	xDviReg;

BOOL ReadDvi(char* pszDviFileName);
BOOL PushRegister(void);
BOOL PopRegister(void);
DWORD PowDW(DWORD a, unsigned DWORD b);
double Pow(double a, int n);

#endif
