/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __DVIPDL_H
#define	__DVIPDL_H

#include <sys/param.h>
#include "newtypes.h"

#define	DVIPDL_ARGUMENTITEM_MAX	128
#define	DVIPDL_OPTIONS_MAX	256

extern char *gpszWorkDirectory;
extern int gnOutPapers;
extern BOOL gfUseInternalFont;
extern BOOL gfEnableFontDownLoad;
extern BOOL gfForceFontDownLoad;
extern int gnThresholdCharacters;
extern int gnThresholdMemory;

void FatalExit(int nExit);

#endif
