/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __ERROR_H
#define	__ERROR_H

typedef enum tagErrorCode {
	ERR_BAD_OPTION = 1,
	ERR_DVI_NOT_FOUND = 2,
	ERR_DVI_NOTSPECIFIED = 3,

	ERR_NOMEMORY = 1001,
	ERR_INTERNALERROR = 1002,
	ERR_EOF = 1003,
	ERR_UNKNOWN_SPECIAL = 1004,
	ERR_ENVIRONMENTFILE_NOTFOUND = 1005,
	ERR_INVALID_OPTION = 1006,

	ERR_UNKNOWN_PDL = 1201,

	ERR_PK_NOTFOUND = 2001,
	ERR_PK_CANNOT_READ_PREAMBLE = 2001,
	ERR_PK_INVALID_FORMAT = 2002,

	ERR_DVI_NOTFOUND = 3001,
	ERR_DVI_NOSTACK = 3002,
	ERR_DVI_INVALID_FORMAT = 3003,
	ERR_DVI_UNKNOWN_VERSION = 3004,
	ERR_DVI_NO_DVIFILE = 3005,

	ERR_TFM_NOTFOUND = 4001,

	ERR_COLOR_UNKNOWN_CLASS = 5001,
	ERR_COLOR_BADPARAMETER = 5002,
	ERR_COLOR_BADFORMAT = 5003,
	ERR_COLOR_UNDEFINEDCOLOR = 5004,
	ERR_COLOR_NOSTACK = 5005,
	ERR_COLOR_NOTABLEFILE = 5006,

	ERR_GS_PSFILE_UNKNOWN_PARAMETER = 6001,
	ERR_GS_PSFILE_NOTFOUND = 6002,
	ERR_GS_PSFILE_INVALID = 6003,
	ERR_GS_PSFILE_CANTOPEN = 6004
} ErrorCode;

void Error(ErrorCode err);
void Error2(ErrorCode err, char* arg1);
char *SearchErrorMessage(ErrorCode err, char *pszFileExt);

#endif
