/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __FILE_H
#define __FILE_H

#include <stdio.h>
#include "newtypes.h"

char FpReadNibble(FILE *fp);
void FpResetNibble(void);
unsigned char FpRead1(FILE *fp);
WORD FpRead2(FILE *fp);
DWORD FpRead3(FILE *fp);
DWORD FpRead4(FILE *fp);
void FpWrite1(FILE *fp, int ch);
void FpWrite2(FILE *fp, WORD wParam);
void FpWrite3(FILE *fp, DWORD dwParam);
void FpWrite4(FILE *fp, DWORD dwParam);
DWORD FpReadN(FILE *fp, int n);
void FpSeek(FILE *fp, DWORD n, int org);
DWORD FpTell(FILE *fp);

#endif
