/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __FUNCDEF_H
#define	__FUNCDEF_H

#ifdef sony_news
#include <stddef.h>
#include <sys/types.h>
#define	const
int printf(const char *format, ...);
int fprintf(FILE *fp, const char *format, ...);
int sprintf(char *buf, const char *format, ...);
int puts(const char *str);
int fseek(FILE *fp, long offset, int whence);
int fclose(FILE *fp);
int fgetc(FILE *fp);
int fputc(int c, FILE *fp);
int fputs(const char *str, FILE *fp);
int fflush(FILE *fp);
size_t fread(void *ptr, size_t size, size_t nobj, FILE *fp);
size_t fwrite(const void *ptr, size_t size, size_t nobj, FILE *fp);
int pclose(FILE *fp);
void rewind(FILE *);
int wait(int *statlog);
char *getwd(char *pathname);
time_t time(time_t *calptr);
int setenv(char *name, char *value, int overwrite);
int sscanf(char *s, char *format, ...);
#endif

#endif
