/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __GS_H
#define	__GS_H

#define	PS_UNIT_SIZE	72.

#define SpToHPSp(sp)    (((double)(sp) * glfDimension * (double)gdwMagnification / 1000. + 1.) * (double)PS_UNIT_SIZE)
#define SpToVPSp(sp)    (((double)(sp) * glfDimension * (double)gdwMagnification / 1000. + 1.) * (double)PS_UNIT_SIZE)

BOOL SpecialPSfile(char *pszSpecial, char *pGsDevice);
BOOL Specialpostscriptbox(char *pszSpecial, char *pGsDevice);
BOOL Specialepsfile(char *pszSpecial, char *pGsDevice);
BOOL SpecialRawPS(char *pszSpecial, char *pGsDevice);

#endif
