/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __GVARS_H
#define	__GVARS_H

#include "site.h"

#ifndef FILENAME_MAX
#define	FILENAME_MAX	256
#endif

#define	IPM		(1000. / 25.4)

typedef enum tagPDL {
	PDL_LIPS2,
	PDL_LIPS3,
	PDL_LIPS4,
	PDL_LIPS4C,
	PDL_CAPSL3,
	PDL_CAPSL4
} PDLTYPE;

int				gnPrintPapers;
int				gnPaperFeedMode;
int				gnDviVersion;
WORD			gwDPI;
PDLTYPE			gnPdlType;
double			glfDimension;
unsigned DWORD	gdwMagnification;
BOOL			gfColorMode;
BOOL			gfPrintEvenPage;
BOOL			gfPrintOddPage;
int				gnStartPage, gnEndPage;

FILE	*gfpOut;


#endif
