/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#include <stdio.h>
#include "pdl.h"
#include "lips.h"
#include "gvars.h"

#if 0
int main()
{
	gfpOut = stdout;
	gwDPI = 300;
	gnPdlType = PDL_LIPS3;
	PdlSetup();
	fprintf(gfpOut, "START!\n");
	gpfnPdlJobStart();
	return 0;
}
#endif

void SetupPdl(void)
{
	gpfnPdlOutChar = LipsPdlOutChar;
	gpfnPdlPrintInfo = LipsPdlPrintInfo;
	gpfnPdlSelectFont = LipsPdlSelectFont;
	gpfnPdlPrintStart = LipsPdlPrintStart;
	gpfnPdlPrintEnd = LipsPdlPrintEnd;
	gpfnPdlChangeFont = LipsPdlChangeFont;
	gpfnPdlPutChar = LipsPdlPutChar;
	gpfnPdlPutRule = LipsPdlPutRule;
	gpfnPdlNewPage = LipsPdlNewPage;
	gpfnPdlFeedPage = LipsPdlFeedPage;
	gpfnPdlSetColor = LipsPdlSetColor;
	gpfnPdlSpecial = LipsPdlSpecial;
	gpfnPdlError = LipsPdlError;
	gpfnPdlError2 = LipsPdlError2;
	gpfnPdlTPICDrawPolygon = LipsPdlTPICDrawPolygon;
	gpfnPdlTPICDrawEllipse = LipsPdlTPICDrawEllipse;
	gpfnPdlTPICDrawSpline = LipsPdlTPICDrawSpline;
}
