/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __PDL_H
#define	__PDL_H

#include "newtypes.h"
#include "color.h"
#include "tpic.h"
#include "error.h"
#include "font.h"

BOOL (*gpfnPdlOutChar)(WORD ch);
BOOL (*gpfnPdlPrintInfo)(void);
BOOL (*gpfnPdlSelectFont)(Fonts* pFont);
BOOL (*gpfnPdlPrintStart)(void);
BOOL (*gpfnPdlPrintEnd)(void);
BOOL (*gpfnPdlChangeFont)(unsigned DWORD fnum);
unsigned DWORD (*gpfnPdlPutChar)(unsigned DWORD ch);
BOOL (*gpfnPdlPutRule)(DWORD a, DWORD b);
BOOL (*gpfnPdlNewPage)(WORD wPageNum);
BOOL (*gpfnPdlFeedPage)(void);
BOOL (*gpfnPdlSetColor)(Color *pColor);
BOOL (*gpfnPdlSpecial)(char *pszSpecial);
void (*gpfnPdlError)(ErrorCode err);
void (*gpfnPdlError2)(ErrorCode err, char *arg1);
BOOL (*gpfnPdlTPICDrawPolygon)(DWORD dwPenSize, TPICArray *pta, BOOL bDrawFrame, BOOL bShading, double lfShading, double lfLength, double lfDistance);
BOOL (*gpfnPdlTPICDrawEllipse)(DWORD dwPenSize, BOOL bDrawFrame, double lfShading, DWORD cx, DWORD cy, DWORD rx, DWORD ry, double srad, double erad);
BOOL (*gpfnPdlTPICDrawSpline)(DWORD dwPenSize, TPICArray *pta, double lfType);
void SetupPdl(void);

#endif
