/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __PK_H
#define	__PK_H

#include "font.h"

#define	PK_XXX1		240
#define	PK_XXX4		243
#define	PK_PRE		247
#define	PK_YYY		244
#define	PK_POST		245
#define	PK_NO_OP	246

#define	FLAG_DYNF	0xf0
#define	FLAG_BW		0x08
#define	FLAG_ESS	0x04
#define	FLAG_SIZE	0x03

BOOL ReadPK(Fonts *pFont);

#endif
