/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

/*** Please edit following definitions... ***/

/* If you want host to send 7bit code to printer, undef it. */
#define	DVIPR_8BIT

/* Whether you use kpathsea library or not. */
#define	DVIPR_USE_KPATHSEA

/* Printer command */
#define	DVIPR_LPR_CMD		"/usr/bin/lpr"
#define	DVIPR_LPR_PRINTER	"-P"
#define	DVIPR_LPR_ADDITIONAL	"-d"

/* Enviromnent file for dvipr (not used yet) */
#define	DVIPR_ENVIRONMENT_FILE	"/usr/local/lib/texmf/driver/"

/* TeX font directory (If not using DVIPR_USE_KPATHSEA, define it) */
#define		TEXFONTS	"/usr/local/lib/texmf/fonts"
