/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <memory.h>
#include "newtypes.h"
#include "file.h"
#include "color.h"
#include "tpic.h"
#include "pdl.h"
#include "error.h"
#include "funcdef.h"

BOOL DoSpecial(FILE *fp, unsigned DWORD nLength)
{
	int		i;
	char	*pSpecial, *ptr;

	if ((pSpecial = (char*)malloc(nLength + 1)) == NULL) {
		FpSeek(fp, nLength, SEEK_CUR);
		Error(ERR_NOMEMORY);
		return FALSE;
	}
	memset(pSpecial, 0, nLength + 1);
	ptr = pSpecial;
	for (i = nLength; i; i--)
		*ptr++ = FpRead1(fp);
	if (!gpfnPdlSpecial(pSpecial))
		if (!strncmp(pSpecial, "color", 5))
			Specialcolor(pSpecial);
		else if (!SpecialTPIC(pSpecial))
			Error2(ERR_UNKNOWN_SPECIAL, pSpecial);
	free(pSpecial);
	return TRUE;
}
